Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ihr.xbrl.tools.excel
Class SheetPointException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ihr.xbrl.tools.excel.SheetPointException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidRegionException, InvalidSheetPointException, SheetPointAccessException

    public abstract class SheetPointException

extends java.lang.Exception

Parent class of the SheetPointAccessException and the InvalidSheetPointException

Author:
  Ignacio
See Also:
  `SheetPointAccessException`, `InvalidSheetPointException`, Serialized Form

Constructor Summary
`SheetPointException(java.lang.String message, SheetPoint sp)`
`SheetPointException(java.lang.String message, SheetPoint sp, java.lang.Throwable cause)`

Method Summary
`SheetPoint` | `getSheetPoint()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SheetPointException

    public SheetPointException(java.lang.String message,
                               SheetPoint sp,
                               java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### SheetPointException

    public SheetPointException(java.lang.String message,
                               SheetPoint sp)

Parameters:
  `message` -

Method Detail

### getSheetPoint

    public SheetPoint getSheetPoint()

  Returns:
    the sp

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD